'use strict';

/**
 *
 *
 * @author Mai
 * @date 2018/5/16
 * @version
 */

const { app, assert } = require('egg-mock/bootstrap');

describe('test/app/service/tender_node.test.js', () => {
    it('test search', function* () {
        const ctx = app.mockContext();
        const result = yield ctx.service.tenderNode.search(43, '第一');
        assert(result.length === 2);
        assert((result[0].name.indexOf('第一') > -1) || (result[0].name.indexOf('第一') > -1));
        assert((result[1].name.indexOf('第一') > -1) || (result[1].name.indexOf('第一') > -1));
    });
})